Attribute VB_Name = "Module1"
Option Explicit

Public Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)




Public Declare Function GetPrivateProfileString Lib "kernel32" Alias "GetPrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Long, ByVal lpFileName As String) As Long

Public Declare Function WritePrivateProfileString Lib "kernel32" Alias "WritePrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpString As Any, ByVal lpFileName As String) As Long


'Winsock 32 錾



'Define socket return codes

Public Const INVALID_SOCKET = &HFFFF
Public Const SOCKET_ERROR = -1
 

'Define socket types

Public Const SOCK_STREAM = 1 'Stream socket
Public Const SOCK_DGRAM = 2 'Datagram socket
Public Const SOCK_RAW = 3 'Raw data socket

'Define address families

Public Const AF_INET = 2 'internetwork: UDP, TCP, etc.


'Define protocol

Public Const IPPROTO_TCP = 6

'Define Option

Public Const TCP_NODELAY = 1

'Public Const FIONBIO = &H5421
Public Const FIONBIO = &H8004667E



Type HostEnt
    h_name     As Long
    h_aliases      As Long
    h_addrtype     As Integer
    h_length       As Integer
    h_addr_list    As Long
End Type

Type SockAddr
    sin_family     As Integer
    sin_port       As Integer
    sin_addr       As Long
    sin_zero       As String * 8
End Type

Public Const WSA_DESCRIPTIONLEN = 256
Public Const WSA_DescriptionSize = WSA_DESCRIPTIONLEN + 1
Public Const WSA_SYS_STATUS_LEN = 128
Public Const WSA_SysStatusSize = WSA_SYS_STATUS_LEN + 1

Type WSADataType
    wVersion       As Integer
    wHighVersion   As Integer
    szDescription  As String * WSA_DescriptionSize
    szSystemStatus As String * WSA_SysStatusSize
    iMaxSockets    As Integer
    iMaxUdpDg      As Integer
    lpVendorInfo   As Long
End Type

'\Pbg֐

Public Declare Function accept Lib "wsock32.dll" _
 (ByVal s As Long, addr As SockAddr, addrlen As Long) As Long
Public Declare Function bind Lib "wsock32.dll" _
 (ByVal s As Long, sName As SockAddr, ByVal namelen As Long) As Long
Public Declare Function closesocket Lib "wsock32.dll" _
 (ByVal s As Long) As Long
Public Declare Function connect Lib "wsock32.dll" _
 (ByVal s As Long, sName As SockAddr, ByVal namelen As Long) As Long
Public Declare Function ioctlsocket Lib "wsock32.dll" _
 (ByVal s As Long, ByVal cmd As Long, argp As Long) As Long
Public Declare Function listen Lib "wsock32.dll" _
 (ByVal s As Long, ByVal backlog As Long) As Long
Public Declare Function recv Lib "wsock32.dll" _
 (ByVal s As Long, ByVal buf As Any, ByVal lngLen As Long, ByVal flags As Long) As Long
Public Declare Function recvfrom Lib "wsock32.dll" _
 (ByVal s As Long, buf As Any, ByVal lngLen As Long, ByVal flags As Long, from As SockAddr, fromlen As Long) As Long
Public Declare Function send Lib "wsock32.dll" _
 (ByVal s As Long, buf As Any, ByVal lngLenlen As Long, ByVal flags As Long) As Long
Public Declare Function sendto Lib "wsock32.dll" _
 (ByVal s As Long, buf As Any, ByVal lngLen As Long, ByVal flags As Long, sTo As SockAddr, ByVal tolen As Long) As Long
Public Declare Function setsockopt Lib "wsock32.dll" _
 (ByVal s As Long, ByVal level As Long, ByVal optname As Long, Optval As Any, ByVal optlen As Long) As Long
Public Declare Function ShutDown Lib "wsock32.dll" Alias "shutdown" _
 (ByVal s As Long, ByVal how As Long) As Long
Public Declare Function socket Lib "wsock32.dll" _
 (ByVal af As Long, ByVal lngType As Long, ByVal protocol As Long) As Long

'oCgI[_[ϊ
Public Declare Function htonl Lib "wsock32.dll" (ByVal hostlong As Long) As Long
Public Declare Function htons Lib "wsock32.dll" (ByVal hostshort As Long) As Integer
Public Declare Function ntohl Lib "wsock32.dll" (ByVal netlong As Long) As Long
Public Declare Function ntohs Lib "wsock32.dll" (ByVal netshort As Long) As Integer

'AhXϊ
Public Declare Function inet_addr Lib "wsock32.dll" (ByVal cp As String) As Long
Public Declare Function inet_ntoa Lib "wsock32.dll" (ByVal lngIn As Long) As Long

'f[^x[X֐
Public Declare Function gethostbyaddr Lib "wsock32.dll" _
 (addr As Long, ByVal lngLen As Long, ByVal lngType As Long) As Long
Public Declare Function gethostbyname Lib "wsock32.dll" _
 (ByVal strName As String) As Long
Public Declare Function gethostname Lib "wsock32.dll" _
 (ByVal strName As String, ByVal namelen As Long) As Long
Public Declare Function getpeername Lib "wsock32.dll" _
 (ByVal s As Long, sName As SockAddr, namelen As Long) As Long
Public Declare Function getprotobyname Lib "wsock32.dll" _
 (ByVal strName As String) As Long
Public Declare Function getprotobynumber Lib "wsock32.dll" _
 (ByVal lngNumber As Long) As Long
Public Declare Function getservbyname Lib "wsock32.dll" _
 (ByVal strName As String, ByVal proto As String) As Long
Public Declare Function getservbyport Lib "wsock32.dll" _
 (ByVal Port As Long, ByVal proto As String) As Long
Public Declare Function getsockname Lib "wsock32.dll" _
 (ByVal s As Long, sName As SockAddr, namelen As Long) As Long
Public Declare Function getsockopt Lib "wsock32.dll" _
 (ByVal s As Long, ByVal level As Long, ByVal optname As Long, Optval As Any, optlen As Long) As Long
 

'gWinSock32錾

'g@\
Public Declare Function WSAStartup Lib "wsock32.dll" _
 (ByVal wVersionRequested As Long, lpWSAData As WSADataType) As Long
Public Declare Function WSACleanup Lib "wsock32.dll" _
 () As Long
Public Declare Function WSAAsyncGetServByName Lib "wsock32.dll" _
 (ByVal hWnd As Long, ByVal wMsg As Long, ByVal strName As String, ByVal proto As String, buf As Any, ByVal buflen As Long) As Long
Public Declare Function WSAAsyncGetServByPort Lib "wsock32.dll" _
 (ByVal hWnd As Long, ByVal wMsg As Long, ByVal Port As Long, ByVal proto As String, buf As Any, ByVal buflen As Long) As Long
Public Declare Function WSAAsyncGetProtoByName Lib "wsock32.dll" _
 (ByVal hWnd As Long, ByVal wMsg As Long, ByVal proto_name As String, buf As Any, ByVal buflen As Long) As Long
Public Declare Function WSAAsyncGetProtoByNumber Lib "wsock32.dll" _
 (ByVal hWnd As Long, ByVal wMsg As Long, ByVal number As Long, buf As Any, ByVal buflen As Long) As Long
Public Declare Function WSAAsyncGetHostByName Lib "wsock32.dll" _
 (ByVal hWnd As Long, ByVal wMsg As Long, ByVal host_name As String, buf As Any, ByVal buflen As Long) As Long
Public Declare Function WSAAsyncGetHostByAddr Lib "wsock32.dll" _
 (ByVal hWnd As Long, ByVal wMsg As Long, lngAddr As Long, ByVal lngLen As Long, ByVal lngType As Long, buf As Any, ByVal buflen As Long) As Long
Public Declare Function WSAAsyncSelect Lib "wsock32.dll" _
 (ByVal s As Long, ByVal hWnd As Long, ByVal wMsg As Long, ByVal lngEvent As Long) As Long
Public Declare Function WSACancelAsyncRequest Lib "wsock32.dll" _
 (ByVal hAsyncTaskHandle As Long) As Long
Public Declare Function WSACancelBlockingCall Lib "wsock32.dll" _
 () As Long
Public Declare Function WSAGetLastError Lib "wsock32.dll" _
 () As Long
Public Declare Function WSAIsBlocking Lib "wsock32.dll" _
 () As Long
Public Declare Sub WSASetLastError Lib "wsock32.dll" _
 (ByVal lngErr As Long)
Public Declare Function WSASetBlockingHook Lib "wsock32.dll" _
 (ByVal lngFunc As Long) As Long
Public Declare Function WSAUnhookBlockingHook Lib "wsock32.dll" _
 () As Long

 

Public Function GetINIValue(KEY As String, Section As String, ININame As String) As String

    Dim Value As String * 255

    Call GetPrivateProfileString(Section, KEY, "ERROR", Value, 255, ININame)
    GetINIValue = Left$(Value, InStr(1, Value, vbNullChar) - 1)

End Function
Public Function SetINIValue(Value As String, KEY As String, Section As String, ININame As String) As Boolean

    Dim Ret As Long

    Ret = WritePrivateProfileString(Section, KEY, Value, ININame) 'G
    SetINIValue = CBool(Ret)

End Function



 Public Function StrToken(str As String, sep As String) As String
    
    Static tokenbuf As String
    Dim c As String
    Dim n As Integer
    Dim token As String
    
    If str = "" Then str = tokenbuf
    c = ""
    n = 1
    token = ""
    Do
        c = Mid(str, n, 1)
        n = n + 1
        If c = sep Or c = "" Then
            StrToken = token
            tokenbuf = Mid(str, n)
            Exit Do
        End If
        token = token & c
    Loop

End Function







